Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.producer
Class AbsoluteURLReplacementGenerator

    java.lang.Object
      org.jboss.portal.common.net.URLTools.URLReplacementGenerator
          org.jboss.portal.wsrp.producer.AbsoluteURLReplacementGenerator

    public class AbsoluteURLReplacementGenerator

extends URLTools.URLReplacementGenerator

Version:
  $Revision$
Author:
  Chris Laprun

Field Summary
`static java.lang.String` | `PORT_END`
`static java.lang.String` | `SCH_END`
`static java.lang.String` | `SLASH`

Constructor Summary
`AbsoluteURLReplacementGenerator(javax.servlet.http.HttpServletRequest request)`

Method Summary
`java.lang.String` | `getAbsoluteURLFor(java.lang.String url)` todo: public only for tests
`java.lang.String` | `getReplacementFor(int i, URLTools.URLMatch urlMatch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCH_END

    public static final java.lang.String SCH_END

See Also:
  Constant Field Values

### PORT_END

    public static final java.lang.String PORT_END

See Also:
  Constant Field Values

### SLASH

    public static final java.lang.String SLASH

See Also:
  Constant Field Values

Constructor Detail

### AbsoluteURLReplacementGenerator

    public AbsoluteURLReplacementGenerator(javax.servlet.http.HttpServletRequest request)

Method Detail

### getReplacementFor

    public java.lang.String getReplacementFor(int i,
                                              URLTools.URLMatch urlMatch)

  Specified by:
    `getReplacementFor` in class `URLTools.URLReplacementGenerator`

### getAbsoluteURLFor

    public java.lang.String getAbsoluteURLFor(java.lang.String url)

  todo: public only for tests

  Parameters:
    `url` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD